<!-- MIT License -->
<!-- Author: Nick Van Osta -->

<template functional>
  <v-navigation-drawer :color="props.state.color" dark app clipped mini-variant>
    <v-list nav>
      <v-tooltip v-for="(link, index) in props.state.links" :key="index" right>
        <template #activator="{ on, attrs }">
          <v-list-item :to="link.to" v-bind="attrs" v-on="on">
            <v-list-item-icon>
              <v-icon>{{ link.icon }}</v-icon>
            </v-list-item-icon>
            <v-list-item-title>
              {{ link.title }}
            </v-list-item-title>
          </v-list-item>
        </template>

        <span>{{ link.title }}</span>
      </v-tooltip>
    </v-list>
  </v-navigation-drawer>
</template>
